HistoryList (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history
Class HistoryList

    java.lang.Object
      org.maltparser.parser.history.HistoryStructure
          org.maltparser.parser.history.HistoryList

    public class HistoryList

extends HistoryStructure

Author:
  Johan Hall

Field Summary
`protected ArrayList<HistoryNode>` | `list`
`protected ObjectPoolList<HistoryNode>` | `nodePool`

Constructor Summary
`HistoryList()`

Method Summary
`void` | `clear()`
`void` | `close()`
`boolean` | `equals(Object obj)`
`HistoryNode` | `getNewHistoryNode(HistoryNode previousNode, GuideUserAction action)`
`int` | `hashCode()`
`void` | `toFile()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    protected ArrayList<HistoryNode> list

### nodePool

    protected final ObjectPoolList<HistoryNode> nodePool

Constructor Detail

### HistoryList

    public HistoryList()
                throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### getNewHistoryNode

    public HistoryNode getNewHistoryNode(HistoryNode previousNode,
                                         GuideUserAction action)
                                  throws MaltChainedException

  Specified by:
    `getNewHistoryNode` in class `HistoryStructure`
  Throws:
    `MaltChainedException`

### clear

    public void clear()
               throws MaltChainedException

  Specified by:
    `clear` in class `HistoryStructure`
  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toFile

    public void toFile()
                throws MaltChainedException

  Specified by:
    `toFile` in class `HistoryStructure`
  Throws:
    `MaltChainedException`

### close

    public void close()
               throws MaltChainedException

  Specified by:
    `close` in class `HistoryStructure`
  Throws:
    `MaltChainedException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.